{{- if .Values.identity.enabled }}
apiVersion: v1
kind: Service
metadata:
  name: {{ include "entkube.fullname" . }}-identity
  labels:
    {{- include "entkube.labels" . | nindent 4 }}
    app.kubernetes.io/component: identity
spec:
  type: ClusterIP
  ports:
    - port: {{ .Values.identity.port }}
      targetPort: http
      protocol: TCP
      name: http
  selector:
    {{- include "entkube.selectorLabels" . | nindent 4 }}
    app.kubernetes.io/component: identity
{{- end }}
